// Author(s) : Loai Zomlot 
// Copyright (C) 2012, Argus Cybersecurity Lab, Kansas State University

// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.

// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.

// You should have received a copy of the GNU General Public License
// along with this program.  If not, see <http://www.gnu.org/licenses/>.

package core.correlation;

import core.graph.Fact;
import core.graph.TimeRange;

public class DA extends D {

	private DB outgoing;

	public DA() {

	}

	public DA(Fact fact, TimeRange timeRange, String ruleID, String direction,
			DB outgoing) {
		super(fact, timeRange, ruleID, direction);
		this.outgoing = outgoing;
	}

	public DA(Fact fact, TimeRange timeRange, String ruleID, String direction) {
		super(fact, timeRange, ruleID, direction);
	}

	public DA(DB outgoing) {
		this.outgoing = outgoing;
	}

	public DB getOutgoing() {
		return outgoing;
	}

	public void setOutgoing(DB outgoing) {
		this.outgoing = outgoing;
	}

}
