// Author(s) : Loai Zomlot 
// Copyright (C) 2012, Argus Cybersecurity Lab, Kansas State University

// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.

// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.

// You should have received a copy of the GNU General Public License
// along with this program.  If not, see <http://www.gnu.org/licenses/>.

package core.correlation;

import core.graph.Fact;
import core.graph.TimeRange;

public class DB extends D {

	private DA incoming;

	public DB(Fact fact, TimeRange timeRange, String ruleID, String direction,
			DA incoming) {
		super(fact, timeRange, ruleID, direction);
		this.incoming = incoming;
	}

	public DB(Fact fact, TimeRange timeRange, String ruleID, String direction) {
		super(fact, timeRange, ruleID, direction);
	}

	public void setIncoming(DA incoming) {
		this.incoming = incoming;
	}

	public D getIncoming() {
		return incoming;
	}

}
