// Author(s) : Loai Zomlot 
// Copyright (C) 2012, Argus Cybersecurity Lab, Kansas State University

// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.

// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.

// You should have received a copy of the GNU General Public License
// along with this program.  If not, see <http://www.gnu.org/licenses/>.

package core.correlation;

public class ProofStep {

	private ProofStepPart leftPart;
	private String ruleID;
	private InternalProofStepPart rightPart;
	private String direction;

	public ProofStep(ProofStepPart leftPart, String ruleID,
			InternalProofStepPart rightPart, String direction) {
		this.leftPart = leftPart;
		this.ruleID = ruleID;
		this.rightPart = rightPart;
		this.direction = direction;
	}

	public ProofStepPart getLeftPart() {
		return leftPart;
	}

	public void setLeftPart(ProofStepPart leftPart) {
		this.leftPart = leftPart;
	}

	public String getRuleID() {
		return ruleID;
	}

	public void setRuleID(String ruleID) {
		this.ruleID = ruleID;
	}

	public InternalProofStepPart getRightPart() {
		return rightPart;
	}

	public void setRightPart(InternalProofStepPart rightPart) {
		this.rightPart = rightPart;
	}

	public String getDirection() {
		return direction;
	}

	public void setDirection(String direction) {
		this.direction = direction;
	}

}
