// Author(s) : Loai Zomlot 
// Copyright (C) 2012, Argus Cybersecurity Lab, Kansas State University

// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.

// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.

// You should have received a copy of the GNU General Public License
// along with this program.  If not, see <http://www.gnu.org/licenses/>.

package core.ds;

import java.util.ArrayList;

import core.utils.Utilities;


public class ArgsList {

	private ArrayList<IP> ipList;

	public ArgsList() {
		ipList = new ArrayList<IP>();
	}

	public ArgsList(IP ip) {
		ipList = new ArrayList<IP>();
		this.ipList.add(ip);

	}

	public ArgsList(IP ip1, IP ip2) {
		ipList = new ArrayList<IP>();
		this.ipList.add(ip1);
		this.ipList.add(ip2);

	}

	public IP getIp1() {
		return this.ipList.get(0);
	}

	public IP getIp2() {
		return this.ipList.get(1);
	}

	public void setIp1(IP ip1) {
		if (this.ipList.isEmpty()) {
			this.ipList.add(ip1);
		} else {
			this.ipList.add(0, ip1);
		}

		// this.ip1 = ip1;
	}

	public void setIp2(IP ip2) {
		if (this.ipList.size() == 1) {
			this.ipList.add(ip2);
		} else if (this.ipList.size() == 2) {
			this.ipList.add(1, ip2);
		} else {
			Utilities.print("Error ArgList");
		}
	}

	public int size() {
		return this.ipList.size();

	}

	@Override
	public String toString() {
		return this.ipList.toString();
	}

}
